Subject: Re: linux-next: build failure after merge of the sound-asoc tree

From: Mark Brown <[email-masked]>
Date: Thu, 15 Dec 2011 06:10:17 +0000

On Thu, Dec 15, 2011 at 02:38:32PM +1100, Stephen Rothwell wrote:

> Caused by commit f6a9336879ca ("ASoC: Convert wm8993 to devm_kzalloc
> ()").  I really should not be seeing this sort of build problem ...

So, the big problem with this stuff is that I can't usefully do much
with my for-next tree directly except for build test it and it's
difficult to usefully do anything with the resulting binaries especially
as the configurations which usually turn things up are generally very
slow to build.  This means I tend to mostly test on my work tree which
does contain some other code (often code which is required in order to
do an actual test) with substantially different configurations and pure
for-next tests tend to drop off the end of the day.  Doing them in
parallel tends not to work so well due to the I/O scheduler issues and
the impact on disk cache.

In this case the fix for the typo got squashed into a change that isn't
published yet by mistake.